package com.m2pool.oapi.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 曲线图数据结构
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class HashRateRealDto implements Serializable {

    /** 实时(30m)算力 */
    @JsonProperty("hashrate_realtime")
    private BigDecimal mhs;

    /** 有效提交数 */
    @JsonProperty("hashrate_24h")
    private BigDecimal mhs24h;

    /** 单位  h/s, kh/s, mh/s, gh/s，th/s */
    private String unit;

}
