package com.m2pool.oapi.mapper;

import com.m2pool.common.datasource.annotation.HashRateDB;
import com.m2pool.common.datasource.annotation.InfoDB;
import com.m2pool.oapi.dto.HashRateDto;
import com.m2pool.oapi.dto.HashRateRealDto;
import com.m2pool.oapi.vo.AccountDateVo;
import com.m2pool.oapi.vo.AccountMinerDateVo;
import com.m2pool.oapi.vo.AccountMinerVo;
import com.m2pool.oapi.vo.AccountVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @Description TODO
 * @Date 2022/8/30 17:47
 * @Author 杜懿
 */
@InfoDB
public interface MinerMapper {

        @HashRateDB
        public HashRateRealDto getMinerRealHashRateByCoinAndAccountMiner(@Param("vo") AccountMinerVo vo);

        public List<HashRateDto> getMinerHashRateHistory24hListByCoinAndAccountMiner(@Param("vo") AccountMinerDateVo vo);

        public List<HashRateDto> getMinerHashRateHistory30mListByCoinAndAccountMiner(@Param("vo") AccountMinerVo vo, @Param("start") String start);



}
