package com.m2pool.chat.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName CharRoomVo
 * @Description 聊天室请求对象
 * @Author yyb
 * @Date 2025/4/15 10:42
 */
@Data
@ApiModel(description = "聊天室请求对象")
public class CharRoomVo {
    @ApiModelProperty(value = "聊天室id", example = "1",required = true)
    private Long id;
    @ApiModelProperty(value = "聊天室重要程度 0不重要 1重要", example = "1",required = true)
    private Integer flag;
}
