package com.m2pool.pool.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 曲线图数据结构
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class AccountPowerDto implements Serializable {

    /** 日期 */
    private Date date;

    /** 矿池算力 */
    private double pv;

    /** 有效提交数 */
    private BigDecimal accepts;

    /** 被拒提交数 */
    private BigDecimal rejects;

}
