package com.m2pool.pool.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 矿工信息总览表对象
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class IncomeDto implements Serializable {

    /** 时间 */
    private Date date;

    /** 难度 */
    private String difficult;

    /** 币种/矿池 */
    private String coin;

    /** 收益 */
    private BigDecimal amount;

    /** 备注 */
    private double mhs;

    private String comment;


}
