package com.m2pool.pool.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description 矿工信息总览表对象
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class MinerAccountBalanceDto implements Serializable {

    private  long id;

    /** 挖矿账户 */
    private String ma;

    /** 提现收款地址 */
    private String balance;

    /** 是否激活 */
    private int active;

    private double amount;

    private String remark;


}
